OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
GeomToStep

# GeomToStep_MakeSphericalSurface Class Reference

This class implements the mapping between class
SphericalSurface from Geom and the class
SphericalSurface from StepGeom which describes a
spherical_surface from Prostep
.

`#include <GeomToStep_MakeSphericalSurface.hxx>`

Inheritance diagram for GeomToStep_MakeSphericalSurface:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | GeomToStep_MakeSphericalSurface (const Handle(Geom_SphericalSurface)&CSurf)
Standard_EXPORT const Handle_StepGeom_SphericalSurface & | Value () const
## Private Attributes
Handle_StepGeom_SphericalSurface | theSphericalSurface

## Constructor & Destructor Documentation

Standard_EXPORT GeomToStep_MakeSphericalSurface::GeomToStep_MakeSphericalSurface | ( | const Handle(Geom_SphericalSurface)& | CSurf | ) |

## Member Function Documentation

void GeomToStep_MakeSphericalSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeSphericalSurface::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeSphericalSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from GeomToStep_Root.

Standard_EXPORT const Handle_StepGeom_SphericalSurface& GeomToStep_MakeSphericalSurface::Value | ( |  | ) | const

## Field Documentation

Handle_StepGeom_SphericalSurface GeomToStep_MakeSphericalSurface::theSphericalSurface`[private]`

The documentation for this class was generated from the following file:

- GeomToStep_MakeSphericalSurface.hxx